package cn.axzo.msg.center.dal;

import cn.axzo.msg.center.domain.entity.MNSBatchMessageRequest;
import cn.axzo.msg.center.domain.query.BatchMessageRequestQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 渠道模板变量序列表 服务类
 * </p>
 *
 * @author szg
 * @since 2021-08-09
 */
public interface MNSBatchMessageRequestDao extends IService<MNSBatchMessageRequest> {

  IPage<MNSBatchMessageRequest> queryByPage(BatchMessageRequestQuery query);

  MNSBatchMessageRequest queryBatchMessage(String appCode, String requestNo);

  boolean updateStatusById(Long id, Integer status);

  boolean updateBatchMessageRequestInfoById(Long id, Integer status, Integer successCount,
      Integer failCount);

  boolean updateRequestSuccess(String remark, Long id);

}
